pydo.addons.patch_plan()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.addons.patch_plan(
    resource_uuid="123e4567-e89b-12d3-a456-426614174000",
    body={
        "plan_slug": "basic_plan",
    },
)
Returns JSONRaises HttpResponseError

Description

To change the plan associated with an Add-On Resource, send a PATCH request to /v2/add-ons/saas/{resource_uuid}/plan. Replace {resource_uuid} with the UUID of the resource for which you want to change the plan.

Parameters

resource_uuid string required

The UUID of the add-on resource to update.

plan_slug string required

Example: basic_plan

The slug identifier for the new plan to apply to the add-on resource.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "plan_slug": "basic_plan"
}

resp = client.addons.patch_plan(resource_uuid="123e4567-e89b-12d3-a456-426614174000", body=req)

Response Example

Show Response Example
{
  "resource": {
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "my-resource-01",
    "state": "provisioned",
    "app_name": "Example App",
    "app_slug": "example_app",
    "plan_name": "Basic Plan",
    "plan_slug": "basic_plan",
    "plan_price_per_month": 10,
    "has_config": true,
    "metadata": [],
    "sso_url": "https://example.com/sso",
    "message": "Resource is provisioned successfully."
  }
}

More Information

See /v2/add-ons/saas/{resource_uuid}/plan in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.